GetApiKey
curl --request GET \
--url https://sdk.anghami.com/v1/developer/keys/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://sdk.anghami.com/v1/developer/keys/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://sdk.anghami.com/v1/developer/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sdk.anghami.com/v1/developer/keys/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sdk.anghami.com/v1/developer/keys/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sdk.anghami.com/v1/developer/keys/{id}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sdk.anghami.com/v1/developer/keys/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"apiKey": {
"id": "<string>",
"name": "<string>",
"keyPrefix": "<string>",
"status": "API_KEY_STATUS_UNSPECIFIED",
"scopes": [
"<string>"
],
"createdAt": "<string>",
"lastUsedAt": "<string>",
"expiresAt": "<string>"
}
}{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"message": "<string>"
}DeveloperService
GetApiKey
GetApiKey retrieves a single API key by ID. The full secret is never returned — only the key_prefix is visible.
GET
/
v1
/
developer
/
keys
/
{id}
GetApiKey
curl --request GET \
--url https://sdk.anghami.com/v1/developer/keys/{id} \
--header 'Authorization: <authorization>'import requests
url = "https://sdk.anghami.com/v1/developer/keys/{id}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://sdk.anghami.com/v1/developer/keys/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://sdk.anghami.com/v1/developer/keys/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: <authorization>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://sdk.anghami.com/v1/developer/keys/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "<authorization>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://sdk.anghami.com/v1/developer/keys/{id}")
.header("Authorization", "<authorization>")
.asString();require 'uri'
require 'net/http'
url = URI("https://sdk.anghami.com/v1/developer/keys/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = '<authorization>'
response = http.request(request)
puts response.read_body{
"apiKey": {
"id": "<string>",
"name": "<string>",
"keyPrefix": "<string>",
"status": "API_KEY_STATUS_UNSPECIFIED",
"scopes": [
"<string>"
],
"createdAt": "<string>",
"lastUsedAt": "<string>",
"expiresAt": "<string>"
}
}{
"violations": [
{
"field": "<string>",
"description": "<string>"
}
]
}{
"message": "<string>"
}Headers
OAuth 2.0 Bearer token. Required for all key management operations. Format: Bearer <access_token>.
Example:
"Bearer eyJhbGciOiJSUzI1NiIs..."
Path Parameters
Unique identifier of the API key to retrieve.
Response
Successful response
GetApiKeyResponse is the response message containing the API key details. The full secret is never returned — only the key_prefix is visible.
ApiKey represents a developer API key used for server-to-server authentication. API keys are passed in the x-api-key HTTP header and are billed per key. The full secret is only returned on creation and rotation.
Show child attributes
Show child attributes